Get user by wallet address
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI()
const user = await api.users.get({ wallet: "0xc9ddb5E37165827BBBFf15b582E232C06862C4E8" }).single()curl --request GET \
--url https://public.api.paragraph.com/api/v1/users/wallet/{walletAddress}import requests
url = "https://public.api.paragraph.com/api/v1/users/wallet/{walletAddress}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://public.api.paragraph.com/api/v1/users/wallet/{walletAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"publicationId": "<string>",
"walletAddress": "<string>",
"avatarUrl": "<string>",
"name": "<string>",
"bio": "<string>",
"farcaster": {
"username": "<string>",
"displayName": "<string>",
"fid": 123
}
}{
"success": false,
"msg": "<string>"
}{
"success": false,
"msg": "<string>"
}users
Get user by wallet address
Retrieve user details using their Ethereum wallet address
GET
/
v1
/
users
/
wallet
/
{walletAddress}
Get user by wallet address
import { ParagraphAPI } from "@paragraph-com/sdk"
const api = new ParagraphAPI()
const user = await api.users.get({ wallet: "0xc9ddb5E37165827BBBFf15b582E232C06862C4E8" }).single()Path Parameters
Ethereum wallet address
Pattern:
^0x[a-fA-F0-9]{40}$Response
User details retrieved successfully
Unique identifier for the user
ID of the publication this user belongs to
Wallet address of the user
Pattern:
^0x[a-fA-F0-9]{40}$URL to the user's avatar image
Display name of the user
Brief biography of the user (max 500 characters)
Maximum string length:
500Farcaster profile information, if linked
Show child attributes
Show child attributes
⌘I

